--- dxvk-2.5.1/src/d3d8/d3d8_device.cpp.orig	2024-12-23 16:08:29.630089485 +0100
+++ dxvk-2.5.1/src/d3d8/d3d8_device.cpp	2024-12-23 16:08:53.127088740 +0100
@@ -1572,6 +1572,12 @@
       default:
         break;
 
+      case D3DRS_FOGDENSITY:
+        // if D3DRS_FOGDENSITY is set to a nonzero value, use D3DFOG_EXP2
+        if (Value)
+          GetD3D9()->SetRenderState(d3d9::D3DRS_FOGTABLEMODE, d3d9::D3DFOG_EXP2);
+        break;
+
       // TODO: D3DRS_LINEPATTERN - vkCmdSetLineRasterizationModeEXT
       case D3DRS_LINEPATTERN: {
         [[maybe_unused]]
